* {
    margin: 0;
    box-sizing: border-box;
}

@font-face {
    font-family: Grandis Extended;
    src: url("../font/GrandisExtended-Regular.woff2");
}

@font-face {
    font-family: Grandis Extended Bold;
    src: url("../font/GrandisExtended-Bold.woff2");
}

@font-face {
    font-family: Grandis Extended Medium;
    src: url("/font/GrandisExtended-Medium.woff2");
}

@font-face {
    font-family: Grandis Extended Light;
    src: url("/font/GrandisExtended-Light.woff2");
}

.header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 30px 160px;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 99999;
}

.header a {
    color: #000;
    font-family: "Grandis Extended Bold";
    font-size: 12px;
    font-style: normal;
    font-weight: 900;
    text-decoration: none;
    line-height: normal;
}

.header .links {
    display: flex;
    align-items: center;
    gap: 54px;
}

.header .links a {
    padding: 5px;
}

.footer {
    position: relative;
    z-index: 99999;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 54px 90px 24px 90px;
}

.footer p,
.footer div {
    width: 33.333%;
}

.footerLinks {
    display: flex;
    gap: 56px;
    align-items: center;
    justify-content: flex-end;
}

.footer p {
    color: #000;
    font-family: "Grandis Extended Bold";
    font-size: 12px;
    font-style: normal;
    font-weight: 900;
    line-height: normal;
    text-align: center;
}

.footer a {
    color: #000;
    font-family: "Grandis Extended Bold";
    font-size: 12px;
    font-style: normal;
    font-weight: 900;
    line-height: normal;
    text-decoration: none;
}

.error-message {
    margin-top: 10px;
    color: #fff;
}

/* qito nalt ku ti sheh heki qa jon font edhe * veq kto nindex lej  */

.loginWrapper {
    max-height: calc(100vh - 93.5px);
    min-height: calc(100vh - 93.5px);
    display: flex;
    align-items: center;
    gap: 40px;
    padding: 133px 160px 0 160px;
    margin: auto;
    justify-content: center;
}

.signUp {
    border-radius: 14px;
    border: 2px solid #000;
    width: 60%;
    height: 513px;
    padding: 91px 70px;
}

.signUp p {
    color: #000;
    text-align: center;
    font-family: "Grandis Extended";
    font-size: 15px;
    font-style: normal;
    font-weight: 300;
    line-height: normal;
    text-align: center;
    margin-bottom: 90px;
    margin-top: 60px;
}

.signUp h1 {
    color: #000;
    text-align: center;
    font-family: "Grandis Extended Bold";
    font-size: 30px;
    font-style: normal;
    font-weight: 900;
    line-height: normal;
}

.signUp a {
    color: #000;
    font-family: "Grandis Extended Bold";
    font-size: 15px;
    font-style: normal;
    font-weight: 900;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 9px;
    border: 2px solid #000;
    text-decoration: none;
    width: 100%;
    max-width: 416px;
    height: 43px;
}

.signInButtonWrapper {
    display: flex;
    justify-content: center;
}

.signIn {
    border-radius: 14px;
    border: 2px solid #000;
    width: 49%;
    height: 513px;
    padding: 91px 70px;
    background-color: #000;
}

.signIn h1 {
    color: #fff;
    text-align: center;
    font-family: "Grandis Extended Bold";
    font-size: 30px;
    font-style: normal;
    font-weight: 900;
    line-height: normal;
    text-align: center;
}

.signInForm {
    width: 100%;
    display: flex;
    gap: 12px;
    margin-top: 44px;
    flex-wrap: wrap;
}

.signInForm .typingInputs {
    width: 100%;
    border-radius: 9px;
    border: 1px solid #fff;
    background-color: transparent;
    color: #fff;
    font-family: "Grandis Extended Bold";
    font-size: 15px;
    font-style: normal;
    font-weight: 500;
    height: 43px;
    line-height: normal;
    padding-left: 33px;
}

.signInForm .typingInputs::placeholder,
.signInForm label {
    color: #fff;
    font-family: "Grandis Extended Bold";
    font-size: 15px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}

.signInForm span {
    color: white;
    font-family: "Grandis Extended";
    font-size: 10px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}

.signInForm span,
.checkbox {
    margin-top: 12px;
}

.submit {
    width: 100%;
    border-radius: 9px;
    background: #fff;
    color: #000;
    font-family: "Grandis Extended Bold";
    font-size: 15px;
    font-style: normal;
    font-weight: 900;
    line-height: normal;
    height: 43px;
    border: none;
    margin-top: 36px;
    cursor: pointer;
}

.forgotPassword {
    color: white;
    font-family: "Grandis Extended";
    font-size: 10px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    margin-top: 10px;
    display: flex;
    justify-content: center;
    text-decoration: none;
    text-align: center;
    width: 100%;
}

@media screen and (max-width: 768px) {
  .profile_details .flex {
    flex-direction: column;
  }

  .loginWrapper {
        padding-inline: 11px;
        row-gap: 20px;
        flex-direction: column-reverse;
        height: auto;
        max-height: unset;
    }

    .signIn {
        width: 100%;
        padding: 28px 46px;
        height: auto;
    }

    .signInForm .typingInputs::placeholder,
    .typingInputs {
        font-size: 13px;
    }

    .typingInputs {
        height: 32px;
    }

    .signIn h1,
    .signUp h1 {
        font-size: 20px;
    }

    .submit,
    .signUp a {
        /*height: 32px;*/
    }

    .signUp {
        width: 100%;
        padding: 28px 46px;
        height: auto;
    }

    .signUp p {
        font-size: 13px;
    }

    .signUp a {
        padding-inline: 50px;
        width: 100%;
        text-align: center;
    }

    /* qitu ja nis headeri edhe footeri per kto tjerat */
    .header {
        flex-direction: column;
        gap: 28px;
    }

    .footer p,
    .footer div,
    .footer p,
    .footer div {
        width: 100%;
    }

    .footer {
        padding-inline: 34px;
        flex-direction: column;
        align-items: flex-start;
        justify-content: flex-start;
        padding-bottom: 40px;
        gap: 28px;
    }

    .footer p {
        text-align: left;
    }

    .footer div {
        justify-content: flex-start;
    }

    /* qitu kryhet headeri edhe footeri per kto tjerat */
}


/* Register */
.registerWrapper {
    margin-top: 50px;
    background-color: #000;
    font-family: "Grandis Extended Bold";
    font-size: 15px;
    font-style: normal;
    font-weight: 900;
    line-height: normal;
    justify-content: center;
    border-radius: 9px;
    border: 2px solid #000;
    text-align: center;
    text-decoration: none;
    /*max-width: 40%;*/
    margin: 100px auto;
    width: 100%;
    max-width: 548px;
}

.registerWrapper .register {
    padding: 49px 65px 58px 70px;
}

.registerWrapper .register h1 {
    text-align: center;
}

.registerWrapper h1,
.registerWrapper a,
.typingInputs {
    color: #fff;
    text-align: left;
}

@media screen and (max-width: 981px) {
    .registerWrapper {
        margin-top: 100px;
        max-width: 80%;
    }
}

@media screen and (max-width: 600px) {
    .registerWrapper {
        margin-top: 150px;
        max-width: 90%;
    }
}

.profile_details {
    text-align: left;
    padding-top: 40px;
    padding-bottom: 20px;
    color: #fff;
    font-weight: 400;
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.profile_details .flex {
    margin-top: 40px !important;
    display: flex;
    gap: 10px;
}

.profile_details .flex .btn {
    font-family: "Grandis Extended Bold";
    background-color: #fff;
    padding: 10px;
    color: #000;
    width: 100%;
    min-width: 201px;
    border-radius: 7px;
    text-decoration: none;
    text-align: center;
    font-weight: 900;
}

.signInForm .flex {
    display: flex;
    gap: 10px;
}

.signInForm .flex .submit a {
    width: 100%;
    border-radius: 9px;
    background: #fff;
    color: #000;
    font-family: "Grandis Extended Bold";
    font-size: 15px;
    font-style: normal;
    font-weight: 900;
    line-height: normal;
    height: 43px;
    border: none;
    margin-top: 36px;
    cursor: pointer;
    text-decoration: none;
}

.signInForm .flex .submit {
    min-width: 100px;
}